/* Generated by powerful Codeforces Tool
 * Author: xxxodarap
 * Time: 2023-09-21 17:20
**/

#include<bits/stdc++.h>
using namespace std;
namespace R = std::ranges;

#define F(i, a, e) for(ll i = (a); i < (e); i++)
#define R(i, e) F(i, 0, e)

typedef long long ll;
typedef double lf;
typedef complex<lf> cp;
typedef pair<int, int> pii;


template<class T> bool ckmin(T& a, const T& b) { return b < a ? a = b, 1 : 0; }
template<class T> bool ckmax(T& a, const T& b) { return a < b ? a = b, 1 : 0; }


const lf PI = acos(-1), EPSI = 1e-9;

mt19937 rng(chrono::steady_clock::now().time_since_epoch().count());


// =============== Solution section ===============
const ll MAXN = 2e5 + 5;
const ll INF = 1LL << 60;

ll N;

void solve(){
    // Code goes here ...
    string s;
    cin >> s;
    N = ssize(s);

    vector<ll> lens;

    ll curlen = 0;
    R(i, N){
        if(s[i] == 'A') curlen++;
        else lens.push_back(curlen), curlen = 0;
    }
    lens.push_back(curlen);


    R::sort(lens);

    ll res = 0;
    for(auto e: lens) res += e;

    /* if(s[0] == 'A' and end(s)[-1] == 'A'){ */
    /*     res -= lens[0]; */
    /* } */
        res -= lens[0];
    
    cout << res << endl;
}


// =============== Main section ===============
int main(){
    ios_base::sync_with_stdio(0); cin.tie(0);
    cout << setprecision(12); // << fixed;

    int T = 1;
    cin >> T;
    while(T--)
        solve();

    /* string rest; */
    /* while(cin.peek() != char_traits<char>::eof()){ */
    /*     solve(); */
    /*     getline(cin, rest); */
    /* } */

    return 0;
}
        
